## org.jgroups.protocols
Class Discovery.Responses

    java.lang.Object
      org.jgroups.protocols.Discovery.Responses

Enclosing class:
  Discovery

    protected static class Discovery.Responses

extends java.lang.Object

Constructor Summary
`Discovery.Responses(int num_expected_rsps, int num_expected_srv_rsps, boolean break_on_coord_rsp, Promise<JoinRsp> promise)`

Method Summary
`void` `addResponse(PingData rsp)`
`void` `addResponse(PingData rsp, boolean overwrite)`
`java.util.List<PingData>` `get(long timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Discovery.Responses

    public Discovery.Responses(int num_expected_rsps,
                               int num_expected_srv_rsps,
                               boolean break_on_coord_rsp,
                               Promise<JoinRsp> promise)

Method Detail

### addResponse

    public void addResponse(PingData rsp)

### addResponse

    public void addResponse(PingData rsp,
                            boolean overwrite)

### get

    public java.util.List<PingData> get(long timeout)
                                 throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.